> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sức mua, sức bán

> Lấy thông tin sức mua và sức bán của tiểu khoản theo mã chứng khoán và gói vay để kiểm tra khả năng đặt lệnh trước khi giao dịch.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-05-07.yaml get /accounts/{accountNo}/ppse
openapi: 3.0.0
info:
  title: DNSE-OpenAPI-V2
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /accounts/{accountNo}/ppse:
    parameters:
      - name: accountNo
        in: path
        required: true
        description: Số tiểu khoản
        schema:
          type: integer
        example: 1179019
    get:
      tags:
        - account
      summary: Sức mua, sức bán
      description: >-
        Lấy thông tin sức mua và sức bán của tiểu khoản theo mã chứng khoán và
        gói vay để kiểm tra khả năng đặt lệnh trước khi giao dịch.
      parameters:
        - name: marketType
          in: query
          required: true
          description: |-
            Loại thị trường 
            - STOCK: Gói vay giao dịch cơ sở
            - DERIVATIVE: Gói vay giao dịch phái sinh
          deprecated: false
          schema:
            type: string
          example: DERIVATIVE
        - name: symbol
          in: query
          required: true
          description: Mã chứng khoán
          deprecated: false
          schema:
            type: string
          example: 41I1G6000
        - name: loanPackageId
          in: query
          required: true
          description: Id gói vay
          deprecated: false
          schema:
            type: string
          example: '2278'
        - name: price
          in: query
          required: true
          description: Giá đặt lệnh
          deprecated: false
          schema:
            type: string
          example: '2026'
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          deprecated: false
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          deprecated: false
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          deprecated: false
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: 'Phiên bản API '
          schema:
            type: string
            format: date
          example: '2026-05-07'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 58
            Date:
              schema:
                type: string
              example: Wed, 18 Mar 2026 16:11:20 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: -1
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 0
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 0
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                properties:
                  qmaxBuy:
                    type: integer
                    example: 1209
                    description: Khối lượng mua tối đa
                    format: int32
                  qmaxSell:
                    type: integer
                    example: 700
                    description: Khối lượng bán tối đa
                    format: int32
                  price:
                    type: number
                    example: 23000
                    description: Giá đặt
                    format: double
              example:
                qmaxBuy: 1203
                qmaxSell: 700
                price: 23000
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-003
                    description: Mã lỗi
                  message:
                    type: string
                    example: Thông tin nhập không hợp lệ
                    description: Thông điệp lỗi
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.